<div class="main-content">
    <div class="container-fluid">
    <h2 mat-dialog-title class="text-center" *ngIf="tagihan">{{tagihan?.namaSiswa}}</h2>
	<div class="text-center" *ngIf="tagihan"><b><b>Nis :</b> {{tagihan?.nis}}</b></div>
	<hr><mat-dialog-content>
		<div class="mat-typography" [formGroup]="editForm">
		        <jhi-alert-error></jhi-alert-error>
		        <div *ngIf="tagihan">
		        <div class="row">
		        	<div class="col-md-6">
		        		<mat-form-field appearance="fill">
							<mat-label>Jenis Tagihan</mat-label>
								<input matNativeControl id="field_jenisPembayaran" type="text" name="jenisPembayaran" formControlName="jenisPembayaran" />
						</mat-form-field>
		        	</div>
		        	<div class="col-md-6">
						<mat-form-field appearance="fill">
							<mat-label>Nominal Tagihan</mat-label>
								<input matNativeControl id="field_nominalPembayaran" type="text" name="nominalPembayaran" formControlName="nominalPembayaran" />
						</mat-form-field>
		        	</div>
		        </div>
		        <div class="row" *jhiHasAnyAuthority="['ROLE_TU']">
		        	<div class="col-md-6">
						<mat-form-field appearance="fill">
							<mat-label>Kelas - Th.Ajaran</mat-label>
								<input matNativeControl id="field_kelsaAjaran" type="text" name="kelsaAjaran" formControlName="kelsaAjaran" />
						</mat-form-field>
		        	</div>
		        	<div class="col-md-6">
		        		<mat-form-field appearance="fill">
							<mat-label>Yang Harus Dibayar</mat-label>
								<input matNativeControl id="field_harusBayar" type="text" name="harusBayar" formControlName="harusBayar" />
						</mat-form-field>
		        	</div>
		        </div>
		        <div class="row" *ngIf="tagihan?.metodeBayar == 'ANGSURAN'">
		        	<div class="col-md-6">
						<mat-form-field appearance="fill">
							<mat-label>Jumlah Bayar</mat-label>
								<input matNativeControl id="field_jmlBayar" type="text" name="jmlBayar" formControlName="jmlBayar" (ngModelChange)="sisa()"/>
						</mat-form-field>
		        	</div>
		        	<div class="col-md-6">
		        		<mat-form-field appearance="fill">
							<mat-label>Sisa Tagihan</mat-label>
								<input matNativeControl id="field_sisaTagihan" type="text" name="sisaTagihan" formControlName="sisaTagihan" />
						</mat-form-field>
		        	</div>
		        </div>
		      </div>
		      <div class="row" *ngIf="!tagihan">
			      <div class="table-responsive" *ngIf="tagihans?.length > 0">
				        <table class="table table-hover" aria-describedby="page-heading">
				            <thead class="thead-light">
				            <tr>
					            <th>Jenis Tagihan</th>
					            <th>Nominal</th>
				            </tr>
				            </thead>
				            <tbody>
				            <tr *ngFor="let tagihan of tagihans">
					            <td>{{tagihan.nomorTagihan}}</td>
					            <td>{{tagihan.nominalPembayaran| currency:'Rp. ' }}</td>
				            </tr>
				            </tbody>
				       </table>
				            <hr/>
				            <div class="text-center">TOTAL = {{total| currency:'Rp. ' }}</div>
				   </div>
			   </div>
		        <div class="row" *jhiHasAnyAuthority="['ROLE_TU', 'ROLE_LOUNDRY']">
		        	<div class="col-md-6">
		        		<div class="card">
			        		<div class="card-header card-header-rose card-header-icon">
							      <h6 class="card-title">
							        <mat-label>Metode Bayar</mat-label>
							    </h6>
		    				 </div>
				        	<div class="card-body">
								<mat-radio-group name="options" (ngModelChange)="optionSearch()" formControlName="pOptions">
								  <mat-radio-button value="TUNAI" *jhiHasAnyAuthority="['ROLE_TU', 'ROLE_LOUNDRY']">Tunai&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</mat-radio-button>
								  <mat-radio-button value="TRANSFER">Transfer</mat-radio-button>
								</mat-radio-group>
				        		</div>
				  	        </div>	
		        	</div>
		        	<div class="col-md-6">
				         <div class="card">
			        		<div class="card-header card-header-rose card-header-icon">
							      <h6 class="card-title">
							        <mat-label>Jumlah Bayar</mat-label>
							    </h6>
		    				 </div>
				        	<div class="card-body">
							   <mat-radio-group  id="field_caraBayar" name="caraBayar" formControlName="caraBayar">
							   <mat-radio-button value="CASH">Seluruh&nbsp;&nbsp;&nbsp;&nbsp;</mat-radio-button>
							   <mat-radio-button value="ANGSURAN" *ngIf="tagihan?.metodeBayar == 'ANGSURAN'">Sebagian</mat-radio-button>							  <mat-radio-button value="ANGSURAN" *ngIf="tagihan?.metodeBayar == 'ANGSURAN'">Sebagian</mat-radio-button>
							   </mat-radio-group>
				        	   </div>
				        	</div>
		        	</div>
		        </div>
				 <br>             
				<div  *ngIf="searchOption !== 'TUNAI'" class="text-center">
				         <mat-accordion>
							  <mat-expansion-panel>
							    <mat-expansion-panel-header>
							      <mat-panel-title>
							        BANK
							      </mat-panel-title>
							      <mat-panel-description>
							        <p>jenis akun bank</p>
							      </mat-panel-description>
							    </mat-expansion-panel-header>
							    <mat-radio-group  id="field_va" name="va" formControlName="va" [(ngModel)]="va">
							    <br>
							    <div class="row"  *ngIf="activeMuamalat">
								    <div class="col-md-6 text-left">
								    	<mat-radio-button value="va_muamalat">
										    <mat-label>MUAMALAT</mat-label>
										</mat-radio-button>
								    </div>
								    <div class="col-md-6">
								    	<img src="/content/images/muamalat.PNG" style="height: 35px;width: 80px;" >
								    </div>
							    </div><br>
							    <div class="row" *ngIf="activePermata">
								    <div class="col-md-6 text-left">
								    	<mat-radio-button value="va_permata">
										  	<mat-label>PERMATA</mat-label>
										</mat-radio-button>
									</div>
								    <div class="col-md-6">
										 <img src="/content/images/permata.PNG" style="height: 40px;width: 80px;" >
									</div>
							    </div><br>
							    <!-- <div class="row">
								    <div class="col-md-6 text-left">
								    	<mat-radio-button value="va_bca">
										  	<mat-label>BCA</mat-label>
										</mat-radio-button>
									</div>
								    <div class="col-md-6">
										 <img src="/content/images/bca.PNG" style="height: 30px;width: 70px;" >
									</div>
							    </div><br> -->
							    <div class="row" *ngIf="activeFinpay">
								    <div class="col-md-6 text-left">
								    	<mat-radio-button value="va_finpay">
										  	<mat-label>FINPAY</mat-label>
										</mat-radio-button>
									</div>
								    <div class="col-md-6">
										 <img src="/content/images/finpay.PNG" style="height: 35px;width: 75px;" >
									</div>
							    </div><br>
							    <div class="row" *ngIf="activeBni">
								    <div class="col-md-6 text-left">
								    	<mat-radio-button value="va_bni">
										  	<mat-label>BNI</mat-label>
										</mat-radio-button>
									</div>
								    <div class="col-md-6">
										 <img src="/content/images/bni.png" style="height: 30px;width: 70px;" >
									</div>
							    </div><br>
							    <div class="row" *ngIf="activeMandiri">
								    <div class="col-md-6 text-left">
								    	<mat-radio-button value="va_mandiri">
										  	<mat-label>MANDIRI</mat-label>
										</mat-radio-button>
									</div>
								    <div class="col-md-6">
										 <img src="/content/images/mandiri.png" style="height: 40px;width: 80px;" >
									</div>
							    </div><br>
							    <div class="row" *ngIf="activeCimb">
								    <div class="col-md-6 text-left">
								    	<mat-radio-button value="va_cimb">
										  	<mat-label>CIMB NIAGA</mat-label>
										</mat-radio-button>
									</div>
								    <div class="col-md-6">
										 <img src="/content/images/niaga.PNG" style="height: 50px;width: 90px;" >
									</div>
							    </div><br>
						      </mat-radio-group>
							  </mat-expansion-panel>
						</mat-accordion>
						<br>
					</div>
		</div></mat-dialog-content>
		<mat-dialog-actions align="center">
			    <div class="row form-group no-gutters justify-content-center">
		  			<button mat-button mat-dialog-close class="btn btn-danger">
			            <fa-icon [icon]="'times'"></fa-icon>&nbsp;<span>Cancel</span></button>
			    	<div *ngIf="searchOption !== 'TUNAI' && tagihan">
			    	<button mat-button mat-dialog-close id="jhi-confirm-delete-tagihan" type="button" class="btn btn-warning" (click)="transfer()" [disabled]="editForm.invalid || isSaving">
			            <fa-icon></fa-icon>&nbsp;<span>Proses</span>
			        </button>
			    	</div>
			    	<div *ngIf="!tagihan">
			    	<button mat-button mat-dialog-close id="jhi-confirm-delete-tagihan" type="button" class="btn btn-primary" (click)="multiTransfer()" [disabled]="editForm.invalid || isSaving">
			            <fa-icon></fa-icon>&nbsp;<span>Proses</span>
			        </button>
			    	</div>
			    	<div *ngIf="searchOption == 'TUNAI'"><!-- button bayar tunai -->
			    	<button mat-button mat-dialog-close="tagihan" id="jhi-confirm-delete-tagihan" type="button" class="btn btn-warning" (click)="save()">
			            <fa-icon></fa-icon>&nbsp;<span>Proses</span>
			        </button>
			    	</div>
				    <!-- <button mat-button type="button" class="btn btn-secondary" data-dismiss="modal" (click)="clear()">
			            <fa-icon [icon]="'ban'"></fa-icon>&nbsp;<span>Cancel</span>
			        </button>&nbsp;&nbsp;&nbsp;&nbsp; -->
			    </div>
		</mat-dialog-actions>
	</div>
</div>